## GstTunerChannel

    GObject
        ╰──GstTunerChannel

### Signals

#### frequency-changed

    frequency_changed_callback (GstElement * tunerchannel,
                                gulong frequency,
                                gpointer udata)

    def frequency_changed_callback (tunerchannel, frequency, udata):
        #python callback for the 'frequency-changed' signal

    function frequency_changed_callback(tunerchannel: GstElement * tunerchannel, frequency: gulong frequency, udata: gpointer udata): {
        // javascript callback for the 'frequency-changed' signal
    }

Reports that the current frequency has changed.

Parameters:

`tunerchannel` –

The GstTunerChannel

`frequency` –

The new frequency (an unsigned long)

`udata` –
No description available

Flags: Run Last

#### signal-changed

    signal_changed_callback (GstElement * tunerchannel,
                             gint signal,
                             gpointer udata)

    def signal_changed_callback (tunerchannel, signal, udata):
        #python callback for the 'signal-changed' signal

    function signal_changed_callback(tunerchannel: GstElement * tunerchannel, signal: gint signal, udata: gpointer udata): {
        // javascript callback for the 'signal-changed' signal
    }

Reports that the signal strength has changed.

Parameters:

`tunerchannel` –

The GstTunerChannel

`signal` –

The new signal strength (an integer)

`udata` –
No description available

Flags: Run Last

The results of the search are